Package org.pgpainless.signature.subpackets

# Interface CertificationSubpackets

All Superinterfaces:
  `BaseSignatureSubpackets`

All Known Implementing Classes:
  `SignatureSubpackets`

public interface CertificationSubpackets extends BaseSignatureSubpackets

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CertificationSubpackets.Callback`

## Method Summary

### Methods inherited from interface org.pgpainless.signature.subpackets.BaseSignatureSubpackets

`addEmbeddedSignature, addEmbeddedSignature, addEmbeddedSignature, addIntendedRecipientFingerprint, addIntendedRecipientFingerprint, addIntendedRecipientFingerprint, addNotationData, addNotationData, addNotationData, clearEmbeddedSignatures, clearIntendedRecipientFingerprints, clearNotationData, setExportable, setExportable, setExportable, setIssuerFingerprint, setIssuerFingerprint, setIssuerFingerprint, setIssuerFingerprintAndKeyId, setIssuerKeyId, setIssuerKeyId, setIssuerKeyId, setPolicyUrl, setPolicyUrl, setPolicyUrl, setRegularExpression, setRegularExpression, setRegularExpression, setRevocable, setRevocable, setRevocable, setSignatureCreationTime, setSignatureCreationTime, setSignatureCreationTime, setSignatureExpirationTime, setSignatureExpirationTime, setSignatureExpirationTime, setSignatureExpirationTime, setSignatureTarget, setSignatureTarget, setSignatureTarget, setSignerUserId, setSignerUserId, setSignerUserId, setTrust, setTrust, setTrust`